Theme
Create Task riffusion/riffusion
POST
https://www.kkiai.com/replicate/v1/models/riffusion/riffusion/predictions
Official documentation: https://replicate.com/riffusion/riffusion
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
version | string | Optional | |
input | object | Optional | |
└ alpha | number | Optional | Interpolation alpha if using two prompts. A value of 0 means fully use prompt_a, a value of 1 means fully use prompt_b. Default: 0.5. Min: 0, Max: 1. |
└ prompt_a | string | Optional | |
└ prompt_b | string | Optional | Second prompt to interpolate with the first prompt. Leave empty if not interpolating. |
└ denoising | number | Optional | How much transformation to apply to the input spectrogram. Default: 0.75. Min: 0, Max: 1. |
└ seed_image_id | string | Optional | |
└ num_inference_steps | integer | Optional | Number of steps to run the diffusion model. Default: 50. Minimum: 1. |
Request Example
json
{
"version": "8cf61ea6c56afd61d8f5b9ffd14d7c216c0a93844ce2d82ac1c9ecc9c7f24e05",
"input": {
"alpha": 0.5,
"prompt_a": "funky synth solo",
"prompt_b": "90's rap",
"denoising": 0.75,
"seed_image_id": "vibes",
"num_inference_steps": 50
}
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/riffusion/riffusion/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"version": "8cf61ea6c56afd61d8f5b9ffd14d7c216c0a93844ce2d82ac1c9ecc9c7f24e05",
"input": {
"alpha": 0.5,
"prompt_a": "funky synth solo",
"prompt_b": "90'\''s rap",
"denoising": 0.75,
"seed_image_id": "vibes",
"num_inference_steps": 50
}
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
model | string | Required | |
version | string | Required | |
input | object | Required | |
└ aspect_ratio | string | Required | |
└ input_image | string | Required | |
└ output_format | string | Required | |
└ prompt | string | Required | |
└ prompt_upsampling | boolean | Required | |
└ safety_tolerance | integer | Required | |
logs | string | Required | |
output | null | Required | |
data_removed | boolean | Required | |
error | null | Required | |
status | string | Required | |
created_at | string | Required | |
urls | object | Required | |
└ cancel | string | Required | |
└ get | string | Required | |
└ stream | string | Required | |
└ web | string | Required |
Response Example
json
{
"created": 1589478378,
"data": [
{
"url": "https://..."
},
{
"url": "https://..."
}
]
}